<?php
# Example of external configuration
require_once('resources/config.php');

# Load Phraw with the starter shortcut
require_once('lib/phraw/phraw.php');
$phraw = new Phraw();
$phraw->add_include_path('lib');

# Load Idiorm and Paris ORM
require_once('idiorm/idiorm.php');
require_once('paris/paris.php');
ORM::configure($config['orm']['db']);
ORM::configure('username', $config['orm']['username']);
ORM::configure('password', $config['orm']['password']);

# Load the Smarty extension
require_once('phraw/extensions/smarty.php');
$smarty = new SmartyTemplateEngine();

$static_pages = array( # Prepare a bulk of static pages
    'secondary' => 'staticpages/secondary.html',
);

# Routing
if ($phraw->detect_no_trailing_slash()) { # This fix the trailing slash
    $phraw->fix_trailing_slash();
} else if ($phraw->route('')) { # Example of dynamic page
    require('./resources/views.php');
    home($phraw, $smarty);
} else if ($phraw->bulk_route($static_pages, $page)) { # Example of static pages in bulk
    $smarty->display($page);
} else { # The page does not exist: display error 404
    $smarty->display_error();
}
?>